# JOSM に用いられるタグ一覧


## 住所として付与するタグ

タグの付与例は [こちら](https://www.yatex.org/gitbucket/Yusuke/OpenStreetMap/blob/master/JOSM_tag.md)

#### エディタ内と共通の規定タグ

| タグの中身 | 説明 | 例 (公益大) | 補足 |
| ---- | ---- | ---- | ---- |
| name | 正式名称 | 東北公益文科大学酒田キャンパス |  |
| loc_name | 地元での名称 | 公益大 |  |
| building | 建物かどうか (yes/no) | yes | 細かく建物の種類を指定する場合は下に別途記載されている詳細を参考にして付与. |
| building:levels | 建物の階層 | 3 |  |
| addr:postcode | 郵便番号 | 9989580 |  |
| addr:province | 都道府県 | 山形県 |  |
| addr:city | 市町村 | 酒田市 |  |
| addr:quarter | (市内の)町 | 飯盛山 |  |
| addr:neighbourhood | 丁目 | 3 |  |
| addr:block_number | 番地 | 5 |  |
| addr:housenumber | 号目 | 1 |  |


## その他、注意が必要なタグ (電話番号・情報源)

#### phone (国内の電話番号についてのタグの付け方)

手順
 1. ハイフン (-) を空白に置き換える。
 2. 最初の1桁 (0) を国番号 (日本の国番号は +81) に置き換える。 ただし、国番号にあとは空白にする。

| もとの電話番号(例) | 変換後の電話番号(例) | 補足 |
| ---- | ---- | ---- |
| 03-1234-5678 | +81 3 1234 5678 | 市外局番2桁の場合 |
| 075-123-4567 | +81 75 123 4567 | 市外局番3桁の場合 |
| 0460-12-3456 | +81 460 12 3456 | 市外局番4桁の場合 |
| 04992-1-2345 | +81 4992 1 2345 | 市外局番5桁の場合 |

#### source ( 情報源についての注釈タグ )

| タグの中身 | 説明 | 補足 |
| ---- | ---- | ---- |
| image | 写真または動画 |  |
| knowledge | 地元の知識や常識 |  |
| survey | 独自調査に基づいた知識 | GPS装置からのトラック (GPXフォーマット),その他の物理的な調査結果. |
| GSImaps | 地理院地図 | 「GSImaps/std」で地理院地図の標準地図(タイル名)をさす. |
| source_ref | サイトが直接の情報源のときのurl |  |


## 建物に付与するタグ

#### amenity ( 来客や住民が利用する施設 )

| タグの中身 | 説明 | 補足 |
| ---- | ---- | ---- |
| fast_food | ファーストフード店 |  |
| food_court | フードカウンターがある共用の飲食スペース |  |
| cafe | 喫茶店やカフェ |  |
| ice_cream | アイスクリーム店やアイスクリームパーラー |  |
| restaurant | (ファーストフード店以外の)レストラン | 提供される食事の種類を cuisine=* と diet=* でタグ付けする. |
| university | 大学のキャンパス|  |
| college | 短期大学や専修大学,専門学校などのキャンパス(校舎) |  |
| school | 学校や校庭 |  |
| library | 公共の図書館 |  |
| parking | 駐車場 |  |

#### building ( 建物としての種類 )

| タグの中身 | 説明 | 補足 |
| ---- | ---- | ---- |
| residential | 居住目的で利用されている建物全般 | 詳細が分からない場合のみの使用推奨 |
| apartments | 集合住宅(アパートやマンション) |  |
| dormitory | 寮 |  |
| detached | 一戸建て住宅 |  |
| commercial | 商業活動が行われている建物,オフィスビル | 商業活動の内容を office=* でタグ付けする. |
| retail | 総合販売店 |  |
| supermarket | 大規模店舗 |  |
| civic | goverment に含まれない市民活動を行う施設 |  |
| goverment | 政府機関,市町村役所,議会,裁判所などの行政機関 |  |
| public | 公共施設 |  |
| university | 大学の建物 |  |
| school | 学校の校舎,校庭などの敷地 |  |
