# JOSM 編集の流れ
  JOSM = JavaOpenStreetMapEditor


## JOSM内での編集手順
 注意 : インストール方法やOSによって翻訳の関係で、メニューの名称や説明の内容に差があります。(本文はLinux環境)


### マップをダウンロードする

1. [ファイル] →  [データをダウンロード] を選択する。

2. マップが表示されるので、必要な範囲だけ選択する。
   ここで選択範囲が広すぎるとダウンロードできないので、「ダウンロード領域はOKです。(以下略)」と上部に表示されるまで範囲を調整すること。


### マップを地理院地図にする

1. [画像] →  [画像設定] を選択する。

2. [画像の設定] ウィンドウから [TMS] (右下)を選択する。  
  
![image_alt_text](https://www.yatex.org/gitbucket/Yusuke/OpenStreetMap/raw/master/osm_screenshot/josm4.png)
  
3. [2.URLを入力します] のテキストボックスに以下を入力する。  
  
~~~
http://cyberjapandata.gsi.go.jp/xyz/std/{zoom}/{x}/{y}.png
~~~
  
4. [3.最大ズームを入力(任意)] のテキストボックスに、「18」と入力する。
   ここまで入力すると、[4.Edit generated TMS URL(optional)]のテキストボックスは自動生成される。

5. [5.このレイヤーの名前を入力してください] のテキストボックスに、「地理院地図-標準地図(GSImaps/std)」と入力する。(名称は任意)

6. [OK] を選択することで地理院地図のレイヤーが加えられる。  
  
![image_alt_text](https://www.yatex.org/gitbucket/Yusuke/OpenStreetMap/raw/master/osm_screenshot/josm5.png)
  
7. [選択済みの項目] の一覧に今加えた「地理院地図-標準地図(GSImaps/std)」があることを確認し、選択する。

8. [OK] を選択することで、ダウンロードしたマップに地理院地図のレイヤーが適用される。


### 場所を探す

#### JOSM の地図上での操作一覧
| 操作 | 行う動作 |
| ---- | ---- |
| 地図をスクロール | 右クリックして地図をドラッグ |
| スクロールホイール | ズームイン・ズームアウト |
| 地図での範囲選択 | 地図上で左クリックしたまま範囲選択 |


### 要素の編集・追加を行う

建物や道などをノードの集まりとしてデータに打ち込む。

#### JOSMにおける要素の定義一覧
| 名称 | 説明 |
| ---- | ---- |
| ノード | 点のこと。 |
| ウェイ | 複数のノードをつなぐ線のこと。単に道路などの道だけをさすものではない。 |
| エリア(領域) | 両端が接続されたウェイのこと。 |


### 要素に対してのタグ付けを行う
 タグ一覧は [こちら](https://www.yatex.org/gitbucket/Yusuke/OpenStreetMap/blob/master/JOSM_taglist.md)  
 タグの付与例は [こちら](https://www.yatex.org/gitbucket/Yusuke/OpenStreetMap/blob/master/JOSM_tag.md)

ノードやウェイ、エリア(ノードの集まり)に対して「キー」と「値」のセットでタグとして情報を付与していく。


### OpenStreetMap に反映する

1. [有効なデータレイヤーでの全ての変更をアップロード] を選択する。

2. [アップロードする変更の概略コメントを入力してください] のテキストボックスに変更内容を入力する。

3. [変更の元となるデータのソースを指定してください] のテキストボックスの入力内容は [現在のレイヤーから取得] を選択すると自動生成される。

4. [変更のアップロード] を選択して、確認事項を読み進めながら OpenStreetMap に適用する。
